com.opensymphony.xwork2.interceptor

## Class AbstractInterceptor

- java.lang.Object
- - org.apache.struts2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.AbstractInterceptor

- All Implemented Interfaces:
    Serializable, ConditionalInterceptor, Interceptor
  Direct Known Subclasses:
    AbstractFileUploadInterceptor, AliasInterceptor, AnnotationParameterFilterInterceptor, AnnotationWorkflowInterceptor, ChainingInterceptor, CheckboxInterceptor, ClearSessionInterceptor, CoepInterceptor, CookieInterceptor, CookieProviderInterceptor, CoopInterceptor, CreateSessionInterceptor, CspInterceptor, DateTextFieldInterceptor, DebuggingInterceptor, ExceptionMappingInterceptor, FetchMetadataInterceptor, HttpMethodInterceptor, I18nInterceptor, LoggingInterceptor, MessageStoreInterceptor, MethodFilterInterceptor, MockInterceptor, ModelDrivenInterceptor, MultiselectInterceptor, NoOpInterceptor, ParameterFilterInterceptor, ParameterRemoverInterceptor, RolesInterceptor, ScopedModelDrivenInterceptor, ScopeInterceptor, ServletConfigInterceptor, StaticParametersInterceptor

  Deprecated.
  since 6.7.0, use `AbstractInterceptor` instead.

      @Deprecated
      public abstract class AbstractInterceptor
      extends AbstractInterceptor
      implements ConditionalInterceptor

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `ConditionalInterceptor.LegacyAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInterceptor()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `intercept(ActionInvocation invocation)` Deprecated. Override to handle interception
    `String` | `intercept(ActionInvocation invocation)` Deprecated. Override to handle interception
    `boolean` | `shouldIntercept(ActionInvocation invocation)` Deprecated.
    `boolean` | `shouldIntercept(ActionInvocation invocation)` Deprecated. Determines if a given interceptor should be executed in the current processing of action invocation.

    - ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

      `destroy, init, setDisabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `adapt`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.Interceptor

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.Interceptor

      `destroy, init`

- - ### Constructor Detail

    - #### AbstractInterceptor

          public AbstractInterceptor()

      Deprecated.

  - ### Method Detail

    - #### intercept

          public abstract String intercept(ActionInvocation invocation)
                                    throws Exception

      Deprecated.
      Override to handle interception
      Throws:
        `Exception`

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Deprecated.
      Description copied from class: `AbstractInterceptor`
      Override to handle interception
      Specified by:
        `intercept` in interface `Interceptor`
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Parameters:
        `invocation` - the action invocation
      Returns:
        the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
      Throws:
        `Exception` - any system-level error, as defined in `Action.execute()`.

    - #### shouldIntercept

          public boolean shouldIntercept(ActionInvocation invocation)

      Deprecated.

    - #### shouldIntercept

          public boolean shouldIntercept(ActionInvocation invocation)

      Deprecated.
      Description copied from interface: `ConditionalInterceptor`
      Determines if a given interceptor should be executed in the current processing of action invocation.
      Specified by:
        `shouldIntercept` in interface `ConditionalInterceptor`
      Overrides:
        `shouldIntercept` in class `AbstractInterceptor`
      Parameters:
        `invocation` - current `ActionInvocation` to determine if the interceptor should be executed
      Returns:
        true if the given interceptor should be included in the current action invocation

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.